# Tax Identification Number

{% hint style="info" %}
TEST DATA

number: Rc323479 or 12392112349 or 08082838487

channel: CAC or TIN or Phone
{% endhint %}

## Verify TIN

<mark style="color:green;">`POST`</mark> `https://api.myidentitypay.com/api/v1/biometrics/merchant/data/verification/tin`

This endpoint allows you to verify a tax identification number.

#### Headers

| Name      | Type   | Description        |
| --------- | ------ | ------------------ |
| x-api-key | string | \<your secret key> |

#### Request Body

| Name    | Type   | Description                       |
| ------- | ------ | --------------------------------- |
| channel | string | TIN,CAC or Phone - (Default: TIN) |
| number  | string | TIN or RC number or Phone number  |

{% tabs %}
{% tab title="200 " %}

```
{
    "status": true,
    "detail": "TIN Verification Successful",
    "response_code": "00",
    "data": {
        "taxpayer_name": "",
        "cac_reg_number": "",
        "firstin": "",
        "jittin": "",
        "tax_office": "",
        "email": "",
        "phone_number": ""
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.myidentitypass.com/v1/data-verification-1/data-verification/nigeria/tax-identification-number.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
